Error 500 Laravel – PHP Parse error: syntax error, unexpected ‘?’ in Illuminate/Foundation/helpers.php on line 233

Puede que estés intentando acceder a tu app de Laravel y recibas un error 500 y nada más de información.

Para saber un poco más sobre esto vayamos a nuestro log de apache y leamos las últimas lineas con:

A mi me aparece algo así:

[Fri Mar 30 13:02:15.629680 2018] [:error] [pid 27202] [client 192.168.1.14:51085] PHP Parse error: syntax error, unexpected ‘?’ in /var/www/laravelapp/vendor/laravel/framework/src/Illuminate/Foundation/helpers.php on line 233

Y efectivamente, si que tengo php7.0 instalado, pero, ¿Lo tengo funcionando?

Pues la respuesta es NO. Tenerlo instalado no es lo mismo que tenerlo activo, para ello, primero tenemos que deshabilitar la versión actual que estemos utilizando de php, en mi caso la php5

Y luego habilitar php7.0

Si queremos hacerlo todo con un solo comando, ya sabeis:

Nos contestará algo como…

Module php5 disabled.
To activate the new configuration, you need to run:
service apache2 restart
Considering dependency mpm_prefork for php7.0:
Considering conflict mpm_event for mpm_prefork:
Considering conflict mpm_worker for mpm_prefork:
Module mpm_prefork already enabled
Considering conflict php5 for php7.0:
Enabling module php7.0.
To activate the new configuration, you need to run:
service apache2 restart

Eso es que ha ido bien, ahora solo tenemos que reiniciar apache:

Si queremos ahorrar tiempo y hacerlo todo en un solo comando:

O con el sudo delante.

Saludoosssss


Tu opinión es importante para mi, ¿Te ha resultado útil este artículo?

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*